aboutsummaryrefslogtreecommitdiff
path: root/run_bash.sh
diff options
context:
space:
mode:
authorAndrew Lee <alee14498@protonmail.com>2020-05-21 18:00:16 -0400
committerAndrew Lee <alee14498@protonmail.com>2020-05-21 18:00:16 -0400
commit5b5679e92f2541a69210c20c4450e07d7fbb1337 (patch)
treeaba04bb545c381cb364118c942abf5aec7bef9d8 /run_bash.sh
parent83223bf218c864233472163fa137562f65050afc (diff)
downloadAleeBot-5b5679e92f2541a69210c20c4450e07d7fbb1337.tar.gz
AleeBot-5b5679e92f2541a69210c20c4450e07d7fbb1337.tar.bz2
AleeBot-5b5679e92f2541a69210c20c4450e07d7fbb1337.zip
Revamped the bash file
Diffstat (limited to 'run_bash.sh')
-rw-r--r--run_bash.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/run_bash.sh b/run_bash.sh
new file mode 100644
index 0000000..a7ca506
--- /dev/null
+++ b/run_bash.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+echo 'Welcome to the AleeBot Console.'
+echo 'If you want to self-host this bot, please continue by executing the following steps:'
+echo '1. Create a tokens.json file and include the token of your bot user so that the bot does not error out when connecting to Discord Servers.'
+echo '2. You will need to edit this file that you ran, and remove the "git pull" line. This causes errors as it will try to pull from the AleeBot git.'
+echo '3. Finally, you must credit the developers (Alee Productions Developers will work fine).'
+echo '--------------------------------------------------------------------------------'
+echo "To start the bot when you are ready, type in 'Yes/yes/y' or type in 'debug' to enter debug mode or type in 'beta' to enter beta mode."
+while true
+do
+read -r -p "> " input
+
+case $input in
+ [yY] | [yY][eE][sS])
+ for (( ; ; ))
+ do
+ git pull
+ node bot_discord.js
+ sleep 2
+ done
+ ;;
+ [dD][eE][bB][uU][gG])
+ for (( ; ; ))
+ do
+ node bot_discord.js --debug
+ sleep 2
+ done
+ ;;
+ [bB][eE][tT][aA])
+ for (( ; ; ))
+ do
+ node bot_discord.js --beta
+ sleep 2
+ done
+ ;;
+ [nN] | [nN][oO])
+ exit 1
+ ;;
+ *)
+echo "Invalid input..."
+ ;;
+esac
+ done \ No newline at end of file